<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <th:block th:replace="common/fragments/form :: dropdownbutton(icon = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_NEW},
                                                                 options = ${applicationtypesofdetail}, 
                                                                 function = 'properties', 
                                                                 type = ${T(pt.com.scrumify.helpers.ConstantsHelper).VIEW_ATTRIBUTE_APPLICATION_TYPESOFDETAIL} + '.'  
                                                                 )" />
  <div class="ui grid">
    <div th:classappend="${not #lists.isEmpty(credentials)} ? 'row'" th:id="'application-credentials-' + ${environment}">
      <div class="column" th:fragment="credentials" th:if="${not #lists.isEmpty(credentials)}">
        <div class="ui dividing header">
          <h3 class="ui" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_CREDENTIALS}}"></h3>
        </div>
        <table class="ui very compact small table">
          <thead>
            <tr>
              <th class="three wide" scope="col"><span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NAME}}"></span></th>
              <th class="one wide right aligned" scope="col"><span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TYPE}}"></span></th>
              <th class="seven wide right aligned" scope="col"><span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_CONNECTION}}"></span></th>
              <th class="two wide right aligned" scope="col"><span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_USERNAME}}"></span></th>
              <th class="two wide right aligned" scope="col"><span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PASSCODE}}"></span></th>
              <th class="one wide right aligned" scope="col">&nbsp;</th>
            </tr>
          </thead>
          <tbody>
            <tr th:each="item : ${credentials}">
              <td><span th:text="${item.name}"></span></td>
              <td class="right aligned"><span th:text="#{'common.typeofcredential.' + ${item.type}}"></span></td>
              <td class="right aligned"><span th:text="${item.connection}"></span> <a href="#" th:onclick="@{${'copytoclipboard(''' + item.connection + ''');'}}">
                  <i class="icon clipboard grey"></i>
                </a></td>
              <td class="right aligned"><span th:text="${item.username}"></span> <a href="#" th:onclick="@{${'copytoclipboard(''' + item.username + ''');'}}">
                  <i class="icon clipboard grey"></i>
                </a></td>
              <td class="right aligned"><span th:text="${item.password != ''} ? '***' : '-'"></span> <a href="#" th:onclick="@{${'copytoclipboard(''' + item.password + ''');'}}">
                  <i class="icon clipboard grey"></i>
                </a></td>
              <td class="right aligned"><th:block sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_APPLICATIONS_UPDATE)">
                  <a href="#" th:onclick="'editcredential(' + ${item.application.id}  + ', ' + ${item.environment.id} + ',' + ${item.id} + ');'">
                    <i class="icon edit"></i>
                  </a>
                  <a href="#" th:onclick="'removecredential(' + ${item.application.id} + ', ' + ${item.environment.id}  + ', ' + ${item.id} + ');'">
                    <i class="icon trash red"></i>
                  </a>
                </th:block></td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
    <div th:classappend="${not #lists.isEmpty(datasources)} ? 'row'" th:id="'application-datasources-' + ${environment}">
      <div class="column" th:fragment="datasources" th:if="${not #lists.isEmpty(datasources)}">
        <div class="ui dividing header">
          <h3 class="ui" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DATASOURCES}}"></h3>
        </div>
        <table class="ui very compact small table">
          <thead>
            <tr>
              <th class="three wide" scope="col"><span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NAME}}"></span></th>
              <th class="one wide right aligned" scope="col"><span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TYPE}}"></span></th>
              <th class="seven wide right aligned" scope="col"><span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_CONNECTION}}"></span></th>
              <th class="two wide right aligned" scope="col"><span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_USERNAME}}"></span></th>
              <th class="two wide right aligned" scope="col"><span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PASSCODE}}"></span></th>
              <th class="one wide right aligned" scope="col">&nbsp;</th>
            </tr>
          </thead>
          <tbody>
            <tr th:each="item : ${datasources}">
              <td><span th:text="${item.name}"></span></td>
              <td class="right aligned"><span th:text="#{'common.typeofdatabase.' + ${item.databaseType}}"></span></td>
              <td class="right aligned"><span th:text="${item.connection}"></span> <a href="#" th:onclick="@{${'copytoclipboard(''' + item.connection + ''');'}}">
                  <i class="icon clipboard grey"></i>
                </a></td>
              <td class="right aligned"><span th:text="${item.username}"></span> <a href="#" th:onclick="@{${'copytoclipboard(''' + item.username + ''');'}}">
                  <i class="icon clipboard grey"></i>
                </a></td>
              <td class="right aligned"><span th:text="${item.password != ''} ? '***' : '-'"></span> <a href="#" th:onclick="@{${'copytoclipboard(''' + item.password + ''');'}}">
                  <i class="icon clipboard grey"></i>
                </a></td>
              <td class="right aligned"><th:block sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_APPLICATIONS_UPDATE)">
                  <a href="#" th:onclick="'editdatasource(' + ${item.application.id}  + ', ' + ${item.environment.id} + ',' + ${item.id} + ');'">
                    <i class="icon edit"></i>
                  </a>
                  <a href="#" th:onclick="'removedatasource(' + ${item.application.id} + ', ' + ${item.environment.id}  + ', ' + ${item.id} + ');'">
                    <i class="icon trash red"></i>
                  </a>
                </th:block></td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
    <div th:classappend="${not #lists.isEmpty(links)} ? 'row'" th:id="'application-links-' + ${environment}">
      <div class="column" th:fragment="links" th:if="${not #lists.isEmpty(links)}">
        <div class="ui dividing header">
          <h3 class="ui" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_LINKS}}"></h3>
        </div>
        <table class="ui very compact small table">
          <thead>
            <tr>
              <th class="three wide" scope="col"><span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NAME}}"></span></th>
              <th class="eight wide right aligned" scope="col"><span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_URL}}"></span></th>
              <th class="two wide right aligned" scope="col"><span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_USERNAME}}"></span></th>
              <th class="two wide right aligned" scope="col"><span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PASSCODE}}"></span></th>
              <th class="one wide right aligned" scope="col">&nbsp;</th>
            </tr>
          </thead>
          <tbody>
            <tr th:each="item : ${links}">
              <td><span th:text="${item.name}"></span></td>
              <td class="right aligned"><span th:text="${item.url}"></span> <a th:href="${item.url}" target="blank">
                  <i class="icon globe grey"></i>
                </a></td>
              <td class="right aligned"><span th:text="${item.username}"></span> <a href="#" th:onclick="@{${'copytoclipboard(''' + item.username + ''');'}}">
                  <i class="icon clipboard grey"></i>
                </a></td>
              <td class="right aligned"><span th:text="${item.password != ''} ? '***' : '-'"></span> <a href="#" th:if="${item.password != ''}" th:onclick="@{${'copytoclipboard(''' + item.password + ''');'}}">
                  <i class="icon clipboard grey"></i>
                </a></td>
              <td class="right aligned"><th:block sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_APPLICATIONS_UPDATE)">
                  <a href="#" th:onclick="'editlink(' + ${item.application.id} + ', ' + ${item.environment.id} + ',' + ${item.id} + ');'">
                    <i class="icon edit"></i>
                  </a>
                  <a href="#" th:onclick="'removelink(' + ${item.application.id} + ', ' + ${item.environment.id}  + ', ' + ${item.id} + ');'">
                    <i class="icon trash red"></i>
                  </a>
                </th:block></td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
    <div th:classappend="${not #lists.isEmpty(properties)} ? 'row'" th:id="'application-properties-' + ${environment}">
      <div class="column" th:fragment="properties" th:if="${not #lists.isEmpty(properties)}">
        <div class="ui dividing header">
          <h3 class="ui" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PROPERTIES}}"></h3>
        </div>
        <table class="ui very compact small table">
          <thead>
            <tr>
              <th class="three wide" scope="col"><span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PROPERTY_NAME}}"></span></th>
              <th class="four wide right aligned" scope="col"><span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PROPERTY_VALUE}}"></span></th>
              <th class="one wide right aligned" scope="col">&nbsp;</th>
              <th class="three wide" scope="col"><span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PROPERTY_NAME}}"></span></th>
              <th class="four wide right aligned" scope="col"><span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PROPERTY_VALUE}}"></span></th>
              <th class="one wide right aligned" scope="col">&nbsp;</th>
            </tr>
          </thead>
          <tbody>
            <th:block th:each="item, stat : ${properties}">
              <tr th:if="${stat.odd}">
                <td><span th:text="${item.pk.property.name}"></span></td>
                <td class="right aligned"><span th:text="${item.value}"></span></td>
                <td class="right aligned"><th:block sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_APPLICATIONS_UPDATE)">
                    <a href="#" th:onclick="'editproperty(' + ${item.application.id} + ', ' + ${item.environment.id} + ',' + ${item.property.id} + ');'">
                      <i class="icon edit"></i>
                    </a>
                    <a href="#" th:onclick="'removeproperty(' + ${item.application.id} + ', ' + ${item.environment.id} + ',' + ${item.property.id} + ');'">
                      <i class="icon trash red"></i>
                    </a>
                  </th:block></td>
                <td><span th:if="${stat.size > stat.count}" th:text="${properties[stat.count].pk.property.name}"></span></td>
                <td class="right aligned"><span th:if="${stat.size > stat.count}" th:text="${properties[stat.count].value}"></span></td>
                <td class="right aligned"><th:block th:if="${stat.size > stat.count}" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_APPLICATIONS_UPDATE)">
                    <a href="#" th:onclick="'editproperty(' + ${properties[stat.count].application.id} + ', ' + ${properties[stat.count].environment.id} + ',' + ${properties[stat.count].property.id} + ');'">
                      <i class="icon edit"></i>
                    </a>
                    <a href="#" th:onclick="'removeproperty(' + ${properties[stat.count].application.id} + ', ' + ${properties[stat.count].environment.id} + ',' + ${properties[stat.count].property.id} + ');'">
                      <i class="icon trash red"></i>
                    </a>
                  </th:block></td>
              </tr>
            </th:block>
          </tbody>
        </table>
      </div>
    </div>
  </div>
  <br>
  <th:block th:replace="common/fragments/form :: backbutton(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_BACK},
                                                            icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_BACK},
                                                            icon1url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_APPLICATIONS}
                                                            )" />
</body>
</html>
